
#ifndef QDRAW_H
#define QDRAW_H

#include <qmainwindow.h>

class MyCanvasView;
class QCanvas;

class Qdraw: public QMainWindow
{
    Q_OBJECT

public:
    Qdraw();
    ~Qdraw();

protected:
    void closeEvent( /*QCloseEvent* */);


private slots:
    void newDoc();
    void choose();
    void load( const QString &fileName );
    void save();
    void saveAs();
        
    void about();
    void aboutQt();

private:
    MyCanvasView *e;
    QCanvas *canvas;
    QString filename;
};


#endif
